<?xml version="1.0"?>
<doc>
    <assembly>
        <name>WebCode</name>
    </assembly>
    <members>
        <member name="T:WebCode.UserClass">
            <summary>
            UserClass 的摘要说明
            </summary>
        </member>
        <member name="M:WebCode.UserClass.#ctor">
            <summary>
            主要是绑定某个表 具体操作这个表获得的数据
            </summary>
        </member>
        <member name="M:WebCode.UserClass.SetPathString(WebCode.ClassData)">
            <summary>
            客户端使用的字符串
            </summary>
            <param name="s_parent"></param>
            <param name="s_cid"></param>
        </member>
        <member name="M:WebCode.UserClass.DeleteClass(System.Int32)">
            <summary>
            全部完整的删除一个分类
            </summary>
            <param name="i_id"></param>
            
        </member>
        <member name="T:WebCode.Security">
            <summary>
            Security 的摘要说明
            </summary>
        </member>
        <member name="M:WebCode.Security.EncodeEnc(System.String)">
            <summary>
            加密部分
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Security.DecodeEnc(System.String)">
            <summary>
            加密部分
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="T:WebCode.DataSet">
            <summary>
            DataSet 的摘要说明
            </summary>
        </member>
        <member name="M:WebCode.DataSet.GetDataReader(System.String)">
            <summary>
            链接从外面传入 返回一个reader ，使用完成后要立即关闭。
            </summary>
            <param name="SQL"></param>
            <param name="connectionString"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.DataSet.DeleteData(System.String,System.String)">
            <summary>
            删除数据
            </summary>
            <param name="s_table"></param>
            <param name="s_del"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.DataSet.CheckSourceUrl">
            <summary>
            避免其他地方提交导致 漏洞
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.DataSet.FormToData">
            <summary>
            把数据从Form中转换到dic里面
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.DataSet.TransactionSQL(System.Collections.Generic.List{System.String})">
            <summary>
            事务执行SQL语句
            </summary>
            <param name="lst_sql"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.DataSet.SaveDataTransaction(System.String,System.String,System.Collections.Generic.Dictionary{System.String,System.String})">
            <summary>
            执行事务 保存Form
            </summary>
            <param name="s_table"></param>
            <param name="s_id"></param>
            <param name="dic_data"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.DataSet.SaveData(System.String,System.String)">
            <summary>
            保存数据
            </summary>
            <param name="s_table"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.DataSet.GetSelectSQL(System.String,System.String,System.String)">
            <summary>
            判断替换数据
            </summary>
            <param name="s_sql">查询语句</param>
            <param name="s_temp">更新模板</param>
            <param name="s_rep">替换规则 222,111| @1@/111 temp/111</param>
            <returns></returns>
        </member>
        <member name="M:WebCode.DataSet.GetDataString(System.String,System.String)">
            <summary>
            获得格式化好的数据字符串
            </summary>
            <param name="s_SQL"></param>
            <param name="s_temp"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.DataSet.GetConnetion">
            <summary>
            打开数据库
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.DataSet.GetRightSQL(System.String)">
            <summary>
            获得正确的SQL语句 SQLserver Access
            </summary>
            <param name="s_in"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.DataSet.GetDataList(System.String,System.String)">
            <summary>
            获得格式化好的数据列表
            </summary>
            <param name="s_SQL"></param>
            <param name="s_temp"></param>
            <returns></returns>
            
        </member>
        <member name="M:WebCode.DataSet.GetDataSet(System.String)">
            <summary>
            将数据读取保存到内存中
            </summary>
            <param name="s_sql"></param>
            <returns></returns>
        </member>
        <member name="T:SysAdminLog">
            <summary>
            SysAdminLog 的摘要说明
            </summary>
        </member>
        <member name="T:WebCode.adminBase">
            <summary>
            adminBase 的摘要说明
            </summary>
        </member>
        <member name="T:WebCode.Base">
            <summary>
            base 的摘要说明
            </summary>
        </member>
        <member name="M:WebCode.Base.AddMustDo(System.Int32)">
            <summary>
            获得系统得分
            </summary>
            <param name="i_value"></param>
        </member>
        <member name="M:WebCode.Base.UrlQuery">
            <summary>
            获得URL参数
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.Base.GetTempClass(System.String,System.String)">
            <summary>
            从数据库读取模板 按格式显示
            </summary>
            <param name="s_source"></param>
            <param name="s_url"></param>
            <param name="s_temp"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Base.GetTemplate(System.String)">
            <summary>
            获得当前使用的模板
            </summary>
            <param name="s_tid"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Base.SPara(System.String)">
            <summary>
            用户输入的信息要进行安全检查
            </summary>
            <param name="s_name"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Base.GetTopClassID(System.String)">
            <summary>
            获得最顶级的ID
            </summary>
            <param name="s_id"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Base.GetReplaceLanguage(System.String,System.Collections.Generic.List{WebCode.ReplaceText})">
            <summary>
            基础替换
            </summary>
            <param name="s_in"></param>
            <param name="lst_rep"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Base.GetPageUrl(System.String)">
            <summary>
            获得页面多页时 地址形式
            </summary>
            <param name="s_urlPath"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Base.GetParameter(System.String)">
            <summary>
            替换多个参数
            </summary>
            <param name="s_pat"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Base.GetOrder(System.String)">
            <summary>
            排序选择
            </summary>
            <param name="s_order"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Base.GetChildIdList(System.String)">
            <summary>
            获得该分类下所有分类
            </summary>
            <param name="s_id"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Base.TestRight(System.EventArgs)">
            <summary>
            建议
            </summary>
        </member>
        <member name="M:WebCode.Base.GetPreNext(System.String,System.String,System.String)">
            <summary>
            获得上一项 下一项
            </summary>
            <param name="s_order"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.adminBase.ShowClassList(System.Int32,System.Int32,System.String)">
            <summary>
            级联目录
            </summary>
            <param name="i_cid"></param>
            <param name="s_tree"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.adminBase.GetTip(System.String)">
            <summary>
            显示页面提示信息
            </summary>
            <param name="s_code"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.adminBase.ReadTip(System.String)">
            <summary>
            读取数据
            </summary>
            <param name="s_code"></param>
        </member>
        <member name="M:WebCode.adminBase.OnLoad(System.EventArgs)">
            <summary>
            校验用户是否登录
            </summary>
            <param name="e"></param>
        </member>
        <member name="M:WebCode.adminBase.TestMainRight(System.EventArgs)">
            <summary>
            检查注册表是否正常
            </summary>
        </member>
        <member name="M:WebCode.adminBase.SetCookies">
            <summary>
            记录Cookies 避免总登录
            </summary>
        </member>
        <member name="M:WebCode.adminBase.CheckPopedom(System.Int32)">
            <summary>
            判断是否可以使用
            </summary>
            <param name="i_pdnum"></param>
        </member>
        <member name="M:WebCode.adminBase.CheckPopedom(System.String)">
            <summary>
            判断是否可以使用
            </summary>
            <param name="i_pdnum"></param>
        </member>
        <member name="M:WebCode.adminBase.GetClass(System.String,System.String)">
            <summary>
            获得分类
            </summary>
            <param name="i_id"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.adminBase.HaveLink(System.String,System.String,System.String)">
            <summary>
            兼容之前的版本
            </summary>
            <param name="s_id"></param>
            <param name="s_link"></param>
            <param name="s_url"></param>
            <param name="s_title"></param>
        </member>
        <member name="M:WebCode.adminBase.HaveLink(System.String,System.String,System.String,System.String)">
            <summary>
            是否存在内链
            </summary>
            <param name="s_link"></param>
            <param name="s_url"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.adminBase.AddLink(System.String,System.String,System.String)">
            <summary>
            增加链接
            </summary>
            <param name="s_link"></param>
            <param name="s_url"></param>
            <param name="s_title"></param>
            <param name="b_check"></param>
        </member>
        <member name="M:SysAdminLog.AddLog(System.String,System.String,System.String)">
            <summary>
            增加日志信息
            </summary>
            <param name="s_type"></param>
            <param name="s_content"></param>
        </member>
        <member name="T:WebCode.Table">
            <summary>
            Table 的摘要说明
            </summary>
        </member>
        <member name="M:WebCode.Table.#ctor(System.String)">
            <summary>
            加入新数据
            </summary>
            <param name="s_tableName">表名称</param>
        </member>
        <member name="M:WebCode.Table.GetFields">
            <summary>
            获得所有字段
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.Table.#ctor(System.String,System.String)">
            <summary>
            读取数据
            </summary>
            <param name="s_tableName">表名称</param>
            <param name="s_id">标识ID</param>
        </member>
        <member name="M:WebCode.Table.GetWhere">
            <summary>
            获得where时 不同类型等于方式不同 特别是access
            </summary>
            <param name="fv"></param>
            <param name="s_value"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Table.isField(System.String)">
            <summary>
            字段是否存在？
            </summary>
            <param name="s_fieldName"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Table.IsExist">
            <summary>
            当前的记录是否存在
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.Table.SetValue(WebCode.FieldValue)">
            <summary>
            格式化值
            </summary>
            <param name="fv"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Table.Add">
            <summary>
            增加数据
            </summary>
        </member>
        <member name="M:WebCode.Table.Delete">
            <summary>
            删除记录
            </summary>
        </member>
        <member name="M:WebCode.Table.Update">
            <summary>
            更新数据
            </summary>
        </member>
        <member name="T:WebCode.TableData">
            <summary>
            将元数据读入到内存中保存
            </summary>
        </member>
        <member name="P:WebCode.TableData.Item(System.String)">
            <summary>
            返回每个表对应的字段
            </summary>
            <param name="s_tableName"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.SysThesaurus.GetID(System.String)">
            <summary>
            获得ID
            </summary>
            <param name="s_name"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.SysThesaurus.GetKeys(System.String)">
            <summary>
            获得相似词
            </summary>
            <param name="s_name"></param>
            <returns></returns>
        </member>
        <member name="T:WebCode.function">
            <summary>
            function 的摘要说明
            </summary>
        </member>
        <member name="M:WebCode.function.ConvertUser">
            <summary>
            客户已经转换
            </summary>
        </member>
        <member name="M:WebCode.function.EmailEncode(System.String)">
            <summary>
            Email防止采集 
            </summary>
            <param name="s_in"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.GetSysData(System.String)">
            <summary>
            获得网站的名称
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.GetUrlPara(System.String,System.String)">
            <summary>
            获得链接中
            </summary>
            <param name="s_url"></param>
            <param name="s_name"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.SaveCookies(System.String,System.String)">
            <summary>
            保存Cookies
            </summary>
            <param name="s_name"></param>
            <param name="s_value"></param>
        </member>
        <member name="M:WebCode.function.GetWebRequest(System.String)">
            <summary>
            下载页面 并返回采集的内容
            </summary>
            <param name="s_uri">需要下载的地址 例如：http://www.ttscj.org</param>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.GetPage(System.String,System.Text.Encoding)">
            <summary>
            访问页面获得静态化
            </summary>
            <param name="s_uri"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.ReplaceHTML(System.String,System.String,System.String,System.Int32)">
            <summary>
            替换页面中的内容 tags 链接 李旭日做的正则表达式
            </summary>
            <param name="s_in"></param>
            <param name="s_word"></param>
            <param name="s_target"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.GetValue(System.Object)">
            <summary>
            获得非空内容
            </summary>
            <param name="obj"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.GetHTMLJS(System.String)">
            <summary>
            将HTML转换为js
            </summary>
            <param name="s_fn"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.GetUrlMd5(System.String)">
            <summary>
            处理页面路径
            </summary>
            <param name="s_urlpath"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.BackUrl">
            <summary>
            返回上一个链接
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.GetBot">
            <summary>
            '查询蜘蛛
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.GetSpiderBot">
            <summary>
            获得蜘蛛程序
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.GetTemplateHTML(System.Int32)">
            <summary>
            获得某模板的内容
            </summary>
            <param name="i_id"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.ReadText(System.String)">
            <summary>
            读取文件
            </summary>
            <param name="s_fn"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.ReadPathText(System.String)">
            <summary>
            读取文件
            </summary>
            <param name="s_fn"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.IndexHTML(System.String)">
            <summary>
            只索引需要索引的部分
            </summary>
            <param name="s_in"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.NoHTML(System.String,System.Boolean)">
            <summary>
            过滤掉内容
            </summary>
            <param name="s_in"></param>
            <param name="b_index">true 索引 ,false 为关键词密度</param>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.GetNumberPage(System.String,System.Int32,System.Int32,System.Boolean)">
            <summary>
            获得翻页
            </summary>
            <param name="s_url"></param>
            <param name="i_pageNow"></param>
            <param name="i_pageCount"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.GetSafeString(System.String)">
            <summary>
            获取安全的内容
            </summary>
            <param name="s_in"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.SafeInput(System.String)">
            <summary>
            安全录入 但暂时停止使用
            </summary>
            <param name="s_in"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.GetLimitChar(System.String,System.Int32)">
            <summary>
            获得有限的字符
            </summary>
            <param name="s_in"></param>
            <param name="i_len"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.GetStringLength(System.String)">
            <summary>
            获得字符串真实的长度
            </summary>
            <param name="s_in"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.BuildDirectory(System.String)">
            <summary>
            建立目录
            </summary>
            <param name="buildPath"></param>
        </member>
        <member name="M:WebCode.function.RemoveDirectory(System.String)">
            <summary>
            删除目录
            </summary>
            <param name="path"></param>
        </member>
        <member name="M:WebCode.function.GetConfigValue(System.String)">
            <summary>
            获得web.config内容
            </summary>
            <param name="s_name"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.function.GetDateTime(System.String)">
            <summary>
            通过字符串返回日期
            </summary>
            <param name="s_value"></param>
            <returns></returns>
        </member>
        <member name="T:WebCode.PublicClass">
            <summary>
            Public 的摘要说明
            </summary>
        </member>
        <member name="M:WebCode.PublicClass.SetSpam">
            <summary>
            生成数据 等待蜘蛛抓取
            </summary>
        </member>
        <member name="M:WebCode.PublicClass.UpdateContent">
            <summary>
            更新内容
            </summary>
        </member>
        <member name="M:WebCode.PublicClass.BuildContent(System.String)">
            <summary>
            生成页面
            </summary>
            <param name="s_cid"></param>
        </member>
        <member name="M:WebCode.PublicClass.CheckScore">
            <summary>
            检查得分
            </summary>
        </member>
        <member name="M:WebCode.PublicClass.DoSql">
            <summary>
            每天定时删除的内容
            </summary>
        </member>
        <member name="M:WebCode.PublicClass.BackupDB">
            <summary>
            备份数据库
            </summary>
        </member>
        <member name="T:WebCode.Watermark">
            <summary>
            Watermark 的摘要说明
            </summary>
            <summary>
            增加水印
            </summary>
        </member>
        <member name="M:WebCode.Watermark.SetAlign(System.String)">
            <summary>
            水印位置方位
            </summary>
            <param name="position">LT/TL:左上；LB/BL:左下；RT/TR/RB/BR；Center:居中；TCenter:顶部居中；BCenter:底部居中</param>
        </member>
        <!-- 对于成员“M:WebCode.Watermark.SetPosition(System.Int32,System.Int32)”忽略有格式错误的 XML 注释 -->
        <member name="M:WebCode.Watermark.MarkByImage(System.Int32)">
            <summary>
            在指定位置为图片打上水印图片
            </summary>
            <param name="alpha">透明度</param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Watermark.MarkByImage(System.Drawing.Color,System.Int32)">
            <summary>
            在指定位置为图片打上水印图
            </summary>
            <param name="transparentColor">透明色</param>
            <param name="alpha">透明度</param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Watermark.MarkByText(System.String,System.String,System.Int32,System.Drawing.FontStyle,System.Drawing.Color)">
            <summary>
            在指定位置为图片打上水印文字
            </summary>
        </member>
        <member name="M:WebCode.Watermark.SetBgColor(System.Drawing.Color)">
            <summary>
            在指定位置设置文字背景
            </summary>
        </member>
        <member name="M:WebCode.Watermark.Reload(System.String)">
            <summary>
            重载源图
            </summary>
            <param name="path"></param>   
        </member>
        <member name="M:WebCode.Watermark.ResizeBy(System.Int32)">
            <summary>
            按百分比缩放源图
            </summary>
            <param name="percent">百分比</param>
        </member>
        <member name="M:WebCode.Watermark.ResizeTo(System.Int32,System.Int32)">
            <summary>
            按像素缩放源图
            </summary>
            <param name="w"></param>
            <param name="h"></param>
        </member>
        <member name="M:WebCode.Watermark.CutAt(System.Int32,System.Int32,System.Int32,System.Int32)">
            <summary>
            剪切图片
            </summary>
            <param name="x"></param>
            <param name="y"></param>
            <param name="width"></param>
            <param name="height"></param>
        </member>
        <member name="M:WebCode.Watermark.Save(System.String)">
            <summary>
            保存结果
            </summary>
            <param name="path"></param>
        </member>
        <member name="P:WebCode.Watermark.SourceFile">
            <summary>
            源图
            </summary>
        </member>
        <member name="P:WebCode.Watermark.MarkImage">
            <summary>
            水印图
            </summary>
        </member>
        <member name="M:WebCode.Translate.GetTrueValue(System.String)">
            <summary>
            有些值要发生改变的
            
            </summary>
            <param name="s_in"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Translate.Initialize">
            <summary>
            初始化数据
            </summary>
        </member>
        <member name="M:WebCode.Translate.ReplaceParameter(System.String)">
            <summary>
            在格式化后然后继续执行 避免在前期就被处理
            </summary>
            <param name="s_in"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Translate.OpterateParameter(System.String)">
            <summary>
            对数组字符串进行分析
            </summary>
            <param name="s_in"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Translate.TranslateParameter(System.String)">
            <summary>
            从参数列中分解参数
            </summary>
            <param name="s_para"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Translate.GetTableValue(System.String)">
            <summary>
            获得本地表 内容
            </summary>
            <param name="s_field"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Translate.TranslateAllEnc(System.String)">
            <summary>
            主函数 负责翻译全部内容
            </summary>
            <param name="s_in"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Translate.TranslateFile(System.String)">
            <summary>
            读取Include文件，并且递归读取
            </summary>
            <param name="s_path"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Translate.TranslateConst(System.String,System.Collections.Generic.List{System.String})">
            <summary>
            翻译常量
            </summary>
            <param name="s_value"></param>
            <param name="lstpara"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Translate.TranslateCSharp(System.String,System.Object[])">
            <summary>
            翻译c#代码
            </summary>
            <param name="s_dll"></param>
            <param name="s_function"></param>
            <param name="s_code"></param>
            <param name="o_para"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Translate.TranslateTemp(System.String,System.Collections.Generic.List{System.String})">
            <summary>
            根据模板从数据库读取转换成真实的数据
            </summary>
            <param name="s_function"></param>
            <param name="s_con"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.TranslateTableShell.onTranslateTable(System.String,System.String)">
            <summary>
            继续向上一层反映
            </summary>
            <param name="s_table"></param>
            <param name="s_field"></param>
            <returns></returns>
        </member>
        <member name="T:WebCode.SearchManager">
            <summary>
            search 的摘要说明
            </summary>
        </member>
        <member name="M:WebCode.SearchManager.SetNewPath(System.String)">
            <summary>
            设置获得最新的路径
            </summary>
        </member>
        <member name="M:WebCode.SearchManager.GetCustomSearch(System.String,System.String)">
            <summary>
            获得定制的搜索结果
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.SearchManager.GetResult(System.Collections.Generic.List{System.String})">
            <summary>
            返回实际的结果
            </summary>
            <param name="lst_id"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.SearchManager.GetRight(System.String)">
            <summary>
            获得正确的词
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.SearchManager.DocumentId(System.Int32)">
            <summary>
            返回内容ID
            </summary>
            <param name="i"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.SearchManager.RunSearch(System.Int32,System.Int32,System.String)">
            <summary>
            显示搜索结果
            </summary>
            <param name="s_keys"></param>
            <param name="i_page"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.SearchManager.GetLimitTitle(System.String,System.Int32)">
            <summary>
            获得有限的标题
            </summary>
            <param name="title"></param>
            <param name="length"></param>
            <returns></returns>
        </member>
        <member name="P:WebCode.SearchManager.IsOutput">
            <summary>
            是否通过模板输出
            </summary>
        </member>
        <member name="M:WebCode.StaticSearch.GetDictionaryCustom">
            <summary>
            获得定制
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.StaticSearch.LoadCustomData">
            <summary>
            装载默认的数据
            </summary>
        </member>
        <member name="M:WebCode.Language.Initialize">
            <summary>
            初始化语言包
            </summary>
        </member>
        <member name="P:WebCode.Language.Type">
            <summary>
            语言类型
            </summary>
        </member>
        <member name="F:WebCode.Index.dic_id">
            <summary>
            线程加锁
            </summary>
        </member>
        <member name="M:WebCode.Index.DoBuildDocument">
            <summary>
            生成Doc对象返回
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.Index.DeleteRecord(System.Collections.Generic.List{System.String},System.String)">
            <summary>
            删除多条记录
            </summary>
            <param name="s_id"></param>
        </member>
        <member name="M:WebCode.Index.UpdateWebIndex(System.String)">
            <summary>
            复制页面 避免同时搜索和索引
            <param name="s_ramIndex">内存硬盘路径</param>
            <param name="s_sourceIndex">物理硬盘路径</param>
            </summary>
        </member>
        <member name="M:WebCode.Index.CopyFilesExt(System.String,System.String)">
            <summary>
            Copy files from souce directory to dest directory
            </summary>
            <param name="SourceDir"></param>
            <param name="DestDir"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Index.RunIndexEnc">
            <summary>
            索引开始
            </summary>
            
        </member>
        <member name="M:WebCode.IndexConfig.BuildSQL">
            <summary>
            从索引记录里面读取数据 生成待处理的SQL语句
            </summary>
        </member>
        <member name="T:WebCode.SysSearchInfo">
            <summary>
            自定义提示信息
            </summary>
        </member>
        <member name="M:WebCode.SysSearchInfo.GetSearchInfo(System.String,System.String)">
            <summary>
            找到对应的字符
            </summary>
            <param name="s_key"></param>
            <param name="s_id"></param>
            <returns></returns>
        </member>
        <member name="T:WebCode.Email">
            <summary>
            Email 的摘要说明
            </summary>
        </member>
        <member name="M:WebCode.Email.GetEmails">
            <summary>
            接收文件
            </summary>
        </member>
        <member name="M:WebCode.Email.SendMail(System.String,System.String,System.String)">
            <summary>
            发送邮件
            </summary>
            <param name="s_to"></param>
            <param name="s_title"></param>
            <param name="s_content"></param>
        </member>
        <member name="M:WebCode.Email.SendEML(System.Collections.Generic.List{System.String},System.String)">
            <summary>
            发送格式化好的EML文件
            </summary>
            <param name="s_file"></param>
        </member>
        <member name="M:WebCode.CompressionModule.System#Web#IHttpModule#Dispose">
            <summary>
            Disposes of the resources (other than memory) used by the module 
            that implements <see cref="T:System.Web.IHttpModule"></see>.
            </summary>
        </member>
        <member name="M:WebCode.CompressionModule.System#Web#IHttpModule#Init(System.Web.HttpApplication)">
            <summary>
            Initializes a module and prepares it to handle requests.
            </summary>
            <param name="context">An <see cref="T:System.Web.HttpApplication"></see> 
            that provides access to the methods, properties, and events common to 
            all application objects within an ASP.NET application.
            </param>
        </member>
        <member name="M:WebCode.CompressionModule.context_BeginRequest(System.Object,System.EventArgs)">
            <summary>
            Handles the BeginRequest event of the context control.
            </summary>
            <param name="sender">The source of the event.</param>
            <param name="e">The <see cref="T:System.EventArgs"/> instance containing the event data.</param>
        </member>
        <member name="M:WebCode.CompressionModule.IsEncodingAccepted(System.String)">
            <summary>
            Checks the request headers to see if the specified
            encoding is accepted by the client.
            </summary>
        </member>
        <member name="M:WebCode.CompressionModule.SetEncoding(System.String)">
            <summary>
            Adds the specified encoding to the response headers.
            </summary>
            <param name="encoding"></param>
        </member>
        <member name="T:WebCode.SEO">
            <summary>
            查看
            </summary>
        </member>
        <member name="M:WebCode.SEO.AddSpider">
            <summary>
            捕捉蜘蛛 加入网站关键词日志
            </summary>
        </member>
        <member name="M:WebCode.SEO.GetTitle(System.String)">
            <summary>
            获得内容标题
            </summary>
            <param name="s_md5"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.SEO.GetSE(System.Int32,System.String)">
            <summary>
            获得搜索引擎的ID
            </summary>
            <param name="s_url"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.SEO.GetSEKey(System.String)">
            <summary>
            从搜索引擎链接获得关键词
            </summary>
            <param name="s_href"></param>
            <returns></returns>
        </member>
        <member name="T:WebCode.ErrorKeys">
            <summary>
            ErrorKeys 的摘要说明
            </summary>
        </member>
        <member name="M:WebCode.ErrorKeys.GetRightKey(System.String)">
            <summary>
            获得正确的词
            </summary>
            <param name="s_in"></param>
            <returns></returns>
        </member>
        <!-- 对于成员“T:WebCode.Menu”忽略有格式错误的 XML 注释 -->
        <member name="M:WebCode.Menu.ShowMenu">
            <summary>
            显示全部菜单
            </summary>
            <returns></returns>
        </member>
        <!-- 对于成员“M:WebCode.Menu.ShowChildMenu(System.String,System.Int32,System.Int32)”忽略有格式错误的 XML 注释 -->
        <member name="T:WebCode.AdminInfo">
            <summary>
            保存管理员登录信息
            </summary>
        </member>
        <member name="T:WebCode.UserContent">
            <summary>
            UserContent 的摘要说明
            </summary>
        </member>
        <member name="M:WebCode.UserContent.GetRepeatMd5Enc(System.String,System.String)">
            <summary>
            获得内容的重复MD5码
            </summary>
            <param name="s_in"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.UserContent.IsRepeatMd5(System.String,System.String)">
            <summary>
            是否有重复的
            </summary>
            <param name="s_id"></param>
            <param name="s_md5"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.UserContent.GetClassUrl">
            <summary>
            获得该分类默认的地址
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.UserContent.GetRelation(System.Int32)">
            <summary>
            获得相关数据
            </summary>
            <param name="i_sel">0相关文章 1相关产品</param>
            <returns></returns>
            
        </member>
        <member name="M:WebCode.UserContent.GetContentUrl">
            <summary>
            获得该分类下的内容
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.SysRelationKeys.AddRelation(System.String,System.String)">
            <summary>
            增加相关词
            </summary>
            <param name="s_keys"></param>
            <param name="s_relationkeys"></param>
        </member>
        <member name="M:WebCode.SysRelationKeys.GetRelationKey(System.String)">
            <summary>
            获得相关的词列表
            </summary>
            <param name="s_key"></param>
            <returns></returns>
        </member>
        <member name="T:WebCode.SysFastResult">
            <summary>
            快速显示搜索结果
            </summary>
        </member>
        <member name="M:WebCode.SysFastResult.UpdateData">
            <summary>
            更新关键词
            </summary>
        </member>
        <member name="M:WebCode.SysFastResult.GetSpell(System.String)">
            <summary>
            获得关键词的拼音
            </summary>
            <param name="s_key"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.SysFastResult.AddKeys(System.String)">
            <summary>
            将关键词加入到词表
            </summary>
            <param name="s_sql"></param>
        </member>
        <member name="M:WebCode.SysFastResult.IndexKey">
            <summary>
            索引关键词
            </summary>
        </member>
        <member name="M:WebCode.SysFastResult.GetKeyList(WebCode.KeySpell)">
            <summary>
            获得分类下及子分类所有的关键词
            </summary>
            <param name="ks"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.SysFastResult.GetSearchSpellKeys(System.Collections.Generic.Dictionary{System.String,WebCode.KeySpell},System.String)">
            <summary>
            获得拼音关键词列表
            </summary>
            <param name="s_spell"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.SysFastResult.SetSpellPath(System.Collections.Generic.Dictionary{System.String,WebCode.KeySpell},System.String,System.String,System.String,System.String)">
            <summary>
            建立拼音级联目录
            </summary>
            <param name="s_spell"></param>
        </member>
        <member name="M:WebCode.SysFastResult.SearchKey(System.String)">
            <summary>
            搜索关键词
            </summary>
            <param name="s_key"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.SysFastResult.GetDOM(System.String)">
            <summary>
            获得页面执行代码
            </summary>
            <param name="s_key"></param>
            <returns></returns>
        </member>
        <member name="T:WebCode.KeySpell">
            <summary>
            拼音递归参数 
            </summary>
        </member>
        <member name="F:WebCode.KeySpell.lst_keys">
            <summary>
            
            </summary>
        </member>
        <member name="T:WebCode.SysAdmin">
            <summary>
            SysAdmin 的摘要说明
            </summary>
        </member>
        <member name="T:WebCode.FormItem">
            <summary>
            FormItem 的摘要说明
            </summary>
        </member>
        <member name="M:WebCode.FormItem.AddOther(System.String)">
            <summary>
            插入非列表语句
            </summary>
            <param name="s_in"></param>
        </member>
        <member name="M:WebCode.FormItem.ChooseValue(System.String,System.String)">
            <summary>
            从2个数值中选择一个 第一个为空选择第二个
            </summary>
            <param name="s_data1"></param>
            <param name="s_data2"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.FormItem.AddItem(System.String)">
            <summary>
            插入数据
            </summary>
            <param name="s_in"></param>
        </member>
        <member name="M:WebCode.FormItem.AddSourceItem(System.String)">
            <summary>
            插入不需要解析的内容
            </summary>
            <param name="s_in"></param>
        </member>
        <member name="M:WebCode.FormItem.BackUrl">
            <summary>
            返回上一个链接
            </summary>
            <returns></returns>
        </member>
        <member name="P:WebCode.FormItem.Target">
            <summary>
            目标窗口
            </summary>
        </member>
        <member name="P:WebCode.FormItem.Item(System.String)">
            <summary>
            列出表里面的字段 如果表里面没有这个字段返回空值
            </summary>
            <param name="s_fieldName"></param>
            <returns></returns>
        </member>
        <member name="P:WebCode.FormItem.Action">
            <summary>
            需要处理的页面
            </summary>
        </member>
        <member name="P:WebCode.FormItem.Button">
            <summary>
            控制按钮
            </summary>
        </member>
        <member name="P:WebCode.FormItem.Head">
            <summary>
            显示头部
            </summary>
        </member>
        <member name="F:WebCode.Rewrite301.SE">
            <summary>
            百度 google yahoo
            </summary>
        </member>
        <member name="T:WebCode.URLRewriter">
            <summary>
            URLRewriter 的摘要说明
            </summary>
        </member>
        <member name="M:WebCode.URLRewriter.Rewrite301(System.String)">
            <summary>
            重定向页面
            </summary>
            <param name="s_url"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.URLRewriter.RewriteDomain301(System.String)">
            <summary>
            重定向页面
            </summary>
            <param name="s_url"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.URLRewriter.FindStaticFile(WebCode.RewriteWeb,System.String,System.String)">
            <summary>
            先在默认的RW找，没有就循环找
            </summary>
            <param name="s_path"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.URLRewriter.FindStaticFileRW(WebCode.RewriteWeb,System.String,System.String)">
            <summary>
            判断静态文件是否存在 并显示
            </summary>
            <param name="rw"></param>
            <param name="s_md5"></param>
            <param name="s_page"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.URLRewriter.IsWriteText(System.String)">
            <summary>
            判断是否输出了文件
            </summary>
            <param name="s_path"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.URLRewriter.WebRewrite(System.String)">
            <summary>
            分析页面查看是否能够匹配直接读取文件
            </summary>
            <param name="s_url"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.URLRewriter.IsEncodingAccepted(System.String)">
            <summary>
            Checks the request headers to see if the specified
            encoding is accepted by the client.
            </summary>
        </member>
        <member name="M:WebCode.URLRewriter.SetEncoding(System.String)">
            <summary>
            Adds the specified encoding to the response headers.
            </summary>
            <param name="encoding"></param>
        </member>
        <member name="M:WebCode.URLRewriter.TransferUrl(WebCode.RewriteWeb,System.String,System.String,System.String)">
            <summary>
            直接生成页面
            </summary>
            <param name="s_targetUrl"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.URLRewriter.FindMd5Data(System.String,System.String,System.String)">
            <summary>
            查询数据库获得不同的数据
            </summary>
            <param name="s_md5"></param>
            <param name="s_page"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.HttpHandlerType.GetExt(System.String,System.Int32)">
            <summary>
            根据列表获得扩展名
            </summary>
            <param name="s_list"></param>
            <param name="i_value"></param>
        </member>
        <member name="M:WebCode.HttpHandlerType.GetHandlerType(System.String)">
            <summary>
            根据扩展名获得文件的解析方式
            </summary>
            <param name="s_ext"></param>
            <returns></returns>
        </member>
        <member name="P:WebCode.HttpHandlerType.WebRun">
            <summary>
            网站是否继续运行
            </summary>
        </member>
        <member name="T:WebCode.ScriptRun">
            <summary>
            让aspx脚本可以运行
            </summary>
        </member>
        <member name="T:WebCode.ForbiddenImage">
            <summary>
            图片防止盗链
            </summary>
        </member>
        <member name="T:WebCode.Forbidden">
            <summary>
            脚本无法运行
            </summary>
        </member>
        <member name="M:WebCode.HandlerFactory.IsExistUrl(System.Web.HttpContext,System.String)">
            <summary>
            检查URL是否存在
            </summary>
            <param name="context"></param>
            <param name="s_url"></param>
            <returns></returns>
        </member>
        <member name="T:WebCode.ReplaceExt">
            <summary>
            ReplaceExt 的摘要说明
            </summary>
        </member>
        <member name="T:WebCode.Encrypt">
            <summary>
            Encrypt 的摘要说明
            </summary>
        </member>
        <member name="M:WebCode.Encrypt.BoolString(System.String)">
            <summary>
            多跳转几次 找不到判断的标准
            </summary>
            <param name="s_md5"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Encrypt.IsBuy(System.Web.HttpContext)">
            <summary>
            判断是否是购买版本，如果是免费版本 就执行删除操作 不能保存信息
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.Encrypt.CheckHttp(System.Web.HttpContext)">
            <summary>
            检查域名是否正确
            </summary>
            <param name="context"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.Encrypt.ContainsMD5(System.String)">
            <summary>
            是否包括网站的地址MD5
            </summary>
            <param name="s_md5"></param>
            <returns></returns>
        </member>
        <member name="T:WebCode.CacheFile">
            <summary>
            CacheFile 的摘要说明
            </summary>
        </member>
        <member name="M:WebCode.CacheFile.GetPageLocal(System.String,System.String)">
            <summary>
            写本地文件
            </summary>
            <param name="s_fn"></param>
            <param name="s_uri"></param>
        </member>
        <member name="M:WebCode.CacheFile.MoveTo404(System.String,System.String)">
            <summary>
            文件重复 移动文件
            </summary>
            <param name="s_md5"></param>
        </member>
        <member name="M:WebCode.CacheFile.GetKeyDensity(System.String,System.String)">
            <summary>
            获得关键词密度 列表
            </summary>
            <param name="s_name"></param>
            <param name="s_md5"></param>
            <returns></returns>
        </member>
        <member name="T:WebCode.KeyDensity">
            <summary>
            关键词密度
            </summary>
        </member>
        <member name="F:WebCode.KeyDensity.Name">
            <summary>
            关键词名称
            </summary>
        </member>
        <member name="F:WebCode.KeyDensity.Density">
            <summary>
            关键词密度
            </summary>
        </member>
        <member name="F:WebCode.KeyDensity.Type">
            <summary>
            关键词类型 0 输入的 1 自动统计
            </summary>
        </member>
        <member name="T:WebCode.CheckWord">
            <summary>
            CheckWord 的摘要说明
            关键词拼写检查
            </summary>
        </member>
        <member name="F:WebCode.CheckWord.wordTable">
            <summary>
            单字的拼音
            </summary>
        </member>
        <member name="F:WebCode.CheckWord.keyTable">
            <summary>
            关键词拼音
            </summary>
        </member>
        <member name="M:WebCode.CheckWord.LoadKeySpell">
            <summary>
            读取数据库中 所有词包括拼音
            </summary>
        </member>
        <member name="M:WebCode.CheckWord.LoadWord">
            <summary>
            将数据库中汉字拼音信息读入内存缓存
            </summary>
        </member>
        <member name="M:WebCode.CheckWord.GetPinYin(System.String)">
            <summary>
            获得输入汉字的拼音
            </summary>
            <param name="key"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.CheckWord.GetABC(System.String)">
            <summary>
            获得游戏内容的首字母 用于快速输入
            </summary>
            <param name="s_key"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.CheckWord.GetHzByPY(System.String)">
            <summary>
            用户输入的是拼音 提示中文
            </summary>
            <param name="py"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.CheckWord.GetRightKey(System.String)">
            <summary>
            获得读音相同 正确的词
            </summary>
            <param name="key">汉字</param>
            <returns></returns>
        </member>
        <member name="M:WebCode.CheckWord.PinYin(System.String,System.Int32)">
            <summary>
            获得一个词的所有拼音组合
            </summary>
            <param name="key">汉字</param>
            <param name="start">起始位置</param>
            <returns>所有组合</returns>
        </member>
        <member name="T:WebCode.PageContent">
            <summary>
            PageContent 的摘要说明
            </summary>
        </member>
        <member name="M:WebCode.PageContent.AddOther(System.String)">
            <summary>
            插入非列表语句
            </summary>
            <param name="s_in"></param>
        </member>
        <member name="M:WebCode.PageContent.AddList(System.String,System.String)">
            <summary>
            设置头部和中部内容
            </summary>
            <param name="s_head"></param>
            <param name="s_body"></param>
        </member>
        <member name="M:WebCode.PageContent.PageBody(System.String,System.String,System.String,System.String)">
            <summary>
            主页面表格框
            </summary>
            <param name="s_shell"></param>
            <param name="s_foot"></param>
            <param name="s_thead"></param>
            <param name="s_tr"></param>
        </member>
        <member name="M:WebCode.PageContent.OneSQL(System.String)">
            <summary>
            处理掉where之前的内容，计算总数
            </summary>
            <param name="s_in"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.PageContent.ShowPage(System.String,System.String)">
            <summary>
            显示翻页的内容
            </summary>
            <param name="s_sql"></param>
            <param name="s_head"></param>
            <param name="s_body"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.PageContent.ShowAllPage(System.String,System.String,System.String,System.String,System.String,System.Int32)">
            <summary>
            显示全部内容
            </summary>
            <param name="s_sql"></param>
            <param name="s_head"></param>
            <param name="s_body"></param>
            <param name="i_type">0 不显示页数 1在上面 2 下面 3上下(数量大于10)</param>
            <returns></returns>
        </member>
        <member name="M:WebCode.PageContent.ShowCount(System.String)">
            <summary>
            显示页脚
            </summary>
            <returns></returns>
        </member>
        <member name="P:WebCode.PageContent.ImagePageBar">
            <summary>
            是否使用图片翻页
            </summary>
        </member>
        <member name="P:WebCode.PageContent.ClientJS">
            <summary>
            是否使用clientJS
            </summary>
        </member>
        <member name="P:WebCode.PageContent.Safe">
            <summary>
            页面是否安全
            </summary>
        </member>
        <member name="P:WebCode.PageContent.Table">
            <summary>
            操作的主表
            </summary>
        </member>
        <member name="P:WebCode.PageContent.SQL">
            <summary>
            查询语句
            </summary>
        </member>
        <member name="P:WebCode.PageContent.SQLCount">
            <summary>
            查询记录数量
            </summary>
        </member>
        <member name="P:WebCode.PageContent.Order">
            <summary>
            排序
            </summary>
        </member>
        <member name="P:WebCode.PageContent.Url">
            <summary>
            翻页的链接
            </summary>
        </member>
        <member name="P:WebCode.PageContent.PageNow">
            <summary>
            设置当前页数
            </summary>
        </member>
        <member name="P:WebCode.PageContent.PageBarType">
            <summary>
            设置控制栏位置 
            0: 不显示 1 上面 2: 下面 4: 强制上下显示 3:判断上下
            </summary>
        </member>
        <member name="P:WebCode.PageContent.PageCount">
            <summary>
            页总数
            </summary>
        </member>
        <member name="P:WebCode.PageContent.PageSize">
            <summary>
            每页多少条
            </summary>
        </member>
        <member name="T:WebCode.TempLog">
            <summary>
            临时自定义的一个测试日志类，到时换成统一的日志模块，
            采用了多例模式加缓存
            </summary>
        </member>
        <member name="M:WebCode.TempLog.t_Elapsed(System.Object,System.Timers.ElapsedEventArgs)">
            <summary>
            定时将缓存中的日志信息写入日志文件中
            </summary>
            <param name="sender"></param>
            <param name="e"></param>
        </member>
        <member name="M:WebCode.TempLog.WriteLog(System.String)">
            <summary>
            将传来的信息写入链表
            </summary>
            <param name="logMessage">日志信息</param>
        </member>
        <member name="M:WebCode.TempLog.GetLogger(System.String)">
            <summary>
            获取Log类的实例
            </summary>
            <returns>返回Log类的实例</returns>
        </member>
        <member name="M:WebCode.TempLog.RemoveLogger(System.String)">
            <summary>
            移除指定的日志模块
            </summary>
            <param name="logName"></param>
        </member>
        <member name="T:WebCode.UploadFile">
            <summary>
            UploadFile 的摘要说明
            </summary>
        </member>
        <member name="M:WebCode.UploadFile.StartUploadFile">
            <summary>
            上载文件 仅返回文件名
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.UploadFile.GetSmallImage(System.String,System.Int32)">
            <summary>
            获得新图清晰的图片
            </summary>
            <param name="s_fn"></param>
            <param name="i_width"></param>
            <returns></returns>
        </member>
        <member name="F:WebCode.UFile.UploadName">
            <summary>
            上传后的全称
            </summary>
        </member>
        <member name="F:WebCode.UFile.LocalName">
            <summary>
            上传前的名称
            </summary>
        </member>
        <member name="F:WebCode.UFile.ShortName">
            <summary>
            只有文件名
            </summary>
        </member>
        <member name="T:WebCode.contentPT">
            <summary>
            对外的
            </summary>
        </member>
        <member name="M:WebCode.contentPT.GetImageName(System.String)">
            <summary>
            获得文件的名字 small_test.jpg
            </summary>
            <param name="s_fn"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.GetTemplate">
            <summary>
            获得显示的模板
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.GetContent">
            <summary>
            获得分页后的内容
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.GetTags(System.Boolean)">
            <summary>
            只显示标签
            </summary>
            <returns></returns>
            
        </member>
        <member name="M:WebCode.contentPT.GetRelation(System.Int32)">
            <summary>
            支持之前的系统
            </summary>
            <param name="i_sel"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.GetRelation(System.Int32,System.Int32,System.String)">
            <summary>
            获得相关数据
            </summary>
            <param name="i_sel">0相关文章 1相关产品</param>
            <returns></returns>
            
        </member>
        <member name="M:WebCode.contentPT.GetRelation(System.Int32,System.String)">
            <summary>
            新函数
            </summary>
            <param name="i_sel"></param>
            <param name="s_temp"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.GetPreNext">
            <summary>
            获得上一页下一页
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.GetImage">
            <summary>
            获得大图
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.GetFieldImage(System.String)">
            <summary>
            获得不同位置的大图
            </summary>
            <param name="s_name"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.TemplateModify(System.Int32,System.String,System.String,System.String)">
            <summary>
            修改模板INC文件
            </summary>
            <param name="i_sel"></param>
            <param name="s_id"></param>
        </member>
        <member name="M:WebCode.contentPT.GetDefaultTop(System.String)">
            <summary>
            获得默认的前几条
            </summary>
            <param name="s_top"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.GetFieldFromTemp(System.String)">
            <summary>
            获得需要转换的字段名称
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.ShowClassInfo(System.String,System.String)">
            <summary>
            显示分类信息
            </summary>
            <param name="s_temp"></param>
            <param name="s_cid"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.ShowContentInfo(System.String,System.String)">
            <summary>
            显示内容信息
            </summary>
            <param name="s_temp"></param>
            <param name="s_cid"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.ShowClassList(System.String,System.String,System.String)">
            <summary>
            简单分类列表页
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.ShowClassList(System.String,System.String)">
            <summary>
            简单分类列表页
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.ShowClassList(System.String,System.String,System.String,System.String,System.String)">
            <summary>
            详细分类列表页
            </summary>
            <param name="s_pid"></param>
            <param name="s_top"></param>
            <param name="s_temp"></param>
            <param name="s_where"></param>
            <param name="s_order"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.ShowContentTags">
            <summary>
            显示内容标签
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.ShowContentRelationProduct(System.String)">
            <summary>
            显示相关产品
            </summary>
            <param name="s_temp"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.ShowVideo(System.String,System.String,System.String)">
            <summary>
            显示视频
            </summary>
            <param name="s_fn"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.ShowContentRelationInfo(System.String)">
            <summary>
            显示相关信息
            </summary>
            <param name="s_temp"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.ShowContentPage(System.String,System.String,System.String)">
            <summary>
            翻页
            </summary>
            <param name="s_cid"></param>
            <param name="s_temp"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.ShowAllContentPage(System.String,System.String,System.String,System.String,System.String,System.Boolean,System.String)">
            <summary>
            翻页
            </summary>
            <param name="s_cid"></param>
            <param name="s_temp"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.ShowPageBar">
            <summary>
            默认字符翻页
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.GetNavigateClass(System.String,System.String)">
            <summary>
            获得不同位置的分类
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.ShowMultiMenu(System.String,System.String,System.String)">
            <summary>
            显示多级菜单
            </summary>
            <param name="s_cid"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.ShowContentImage">
            <summary>
            获得内容图片
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.ShowBreadBar(System.String,System.String)">
            <summary>
            获得面包屑导航
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.ShowContentList(System.String,System.String,System.String)">
            <summary>
            简单内容列表页
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.ShowContentGoodList(System.String,System.String,System.String)">
            <summary>
            显示推荐列表
            </summary>
            <param name="s_cid"></param>
            <param name="s_top"></param>
            <param name="s_temp"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.ShowContentList(System.String,System.String,System.String,System.String,System.String)">
            <summary>
            获得带参数的信息列表
            </summary>
            <param name="s_cid"></param>
            <param name="s_top"></param>
            <param name="s_temp"></param>
            <param name="s_where"></param>
            <param name="s_order"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.ShowContentContent">
            <summary>
            显示文章内容
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.contentPT.ShowZoomPicture(System.String,System.Int32,System.Int32,System.Int32,System.Int32,System.Int32)">
            <summary>
            图片格式
            </summary>
            <param name="s_name"></param>
            <param name="s_size"></param>
            <param name="x"></param>
            <param name="y"></param>
            <param name="width"></param>
            <param name="height"></param>
        </member>
        <member name="T:WebCode.SysInnerLink">
            <summary>
            SysInnerLink 的摘要说明
            </summary>
        </member>
        <member name="M:WebCode.SysInnerLink.IsHaveKey(System.String,System.String)">
            <summary>
            判断是否包含关键词
            </summary>
            <param name="s_key"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.SysInnerLink.ReplaceInnerUrl(System.String)">
            <summary>
            有限替换
            </summary>
            <param name="s_in"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.SysInnerLink.ReplaceInnerUrl(System.String,System.Boolean)">
            <summary>
            b_max=true 可以无限替换
            </summary>
            <param name="s_in"></param>
            <param name="b_max"></param>
            <returns></returns>
        </member>
        <member name="T:WebCode.SysPopedom">
            <summary>
            SysPopedom 的摘要说明
            </summary>
            
        </member>
        <member name="M:WebCode.SysPopedom.GetPopedomCode(WebCode.Module,System.String)">
            <summary>
            获得权限编号
            </summary> 
            <param name="s_path"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.SysPopedom.GetModule(System.String)">
            <summary>
            获得模块信息
            </summary>
            <param name="s_path"></param>
            <returns></returns>
        </member>
        <member name="F:WebCode.Module.Popedom">
            <summary>
            权限
            </summary>
        </member>
        <member name="F:WebCode.Module.Parameter">
            <summary>
            可选参数
            </summary>
        </member>
        <member name="T:WebCode.searchPT">
            <summary>
            对外的
            </summary>
        </member>
        <member name="M:WebCode.searchPT.GetReferrerKey">
            <summary>
            获得外链的关键词 比如从百度 google过来的词
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.searchPT.GetTypeName(System.Int32)">
            <summary>
            获得之前搜索的名称
            </summary>
            <param name="i_sel"></param>
            <returns></returns>
        </member>
        <member name="M:WebCode.searchPT.GetSearchType">
            <summary>
            获得搜索不同的分类
            </summary>
            <returns></returns>
        </member>
        <member name="M:WebCode.searchPT.GetRelationKey(System.String,System.Int32)">
            <summary>
            获得相关词
            </summary>
            <param name="s_key"></param>
            <param name="i_type"></param>
            <returns></returns>
        </member>
    </members>
</doc>
